/*****************************************************************
 * RW Buckley's Diet-Diary                                       *
 * Version 1 Release 0                                           *
 * (c) Copyright 1994 by RW Buckley          All Rights Reserved.*
******************************************************************/
/* Register with REXX API extensions. */

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Initializers                 */

iFound = 0;

/* Get command line parameters. */

Parse Arg InstallDir

if InstallDir = "" then do
   r=Instructions();
   exit;
   end;

else do

   Call SysFileTree InstallDir , "Cfiles" , "SD"
   do i = 1 to Cfiles.0
      if pos( translate(InstallDir) , translate(Cfiles.i) ) > 0 then do
         iFound = 1;
         i = Cfiles.0
         end;
      end;
   end;

/* If the directory pointed to was not found, then create it   */

if iFound = 0 then do
   r = Call SysMkDir( InstallDir );
   r = delword(r,1,1);
   if( r <> 0 ) then do
      say;
      say 'An error occured creating the specified directory rc = 'r;
      'helpmsg 'r;
      say 'Diet-Diary installation aborting due to error in pathname';
      r=Instructions();
      exit;
      end;
   end;

/* Copy files. */

Call SysCls

Say
Say 'Installing Diet-Diary  Version 1 Release 0'

'copy dd.exe '||InstallDir
'copy sampldd.txt '||InstallDir
'copy readmedd.txt '||InstallDir
'copy dd.ico '||InstallDir
'copy VROBJ.DLL '||InstallDir

Say;
Say 'Creating Diet-Diary Desktop objects.';
Say;

r = Call SysCreateObject("WPFolder","DietDiry","<WP_DESKTOP>","OBJECTID=<DIETDIRYFOLDER>")

if (r <> 0 ) then do

      r = Call SysCreateObject("WPProgram","DDiary 1.0","<DIETDIRYFOLDER>",,
               "EXENAME="||InstallDir||"\DD.EXE;STARTUPDIR="||InstallDir );


   end;

else do
   say;
   say   'An error occured during the creation of the Diet-Diary Folder ';
   say   'and program object. Install has aborted. ';
   end;

Say 'The Diet-Diary has been installed!'
Say

Exit

/* Instructions on installation procedure */

Instructions:
      Say
      Say
      Say '     Diet Diary Installation Instructions: '
      Say
      Say
      Say 'Directions:    To install Diet-Diary, you must choose a target'
      Say '               directory on your hard drive.'
      Say
      Say
      Say 'Example:       DDINSTL C:\DDIARY '
      Say
      Say 'DDIARY is the recommended value'

Return 0;

